Page MenuHomePhabricator

UnusedUsed sniff did not catch use from global namespace
Closed, ResolvedPublic

Description

I would have expected the unuseduse sniff to catch the use statement that was removed in https://gerrit.wikimedia.org/r/#/c/418023/

Event Timeline

Legoktm created this task.Mar 9 2018, 7:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2018, 7:18 PM
Umherirrender triaged this task as Normal priority.

Change 420063 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/tools/codesniffer@master] Check for use statement with non-compound name

https://gerrit.wikimedia.org/r/420063

Krinkle renamed this task from UnusedUsed sniff did not catch https://gerrit.wikimedia.org/r/#/c/418023/ to UnusedUsed sniff did not catch use from global namespace.Mar 18 2018, 3:40 AM

Change 420063 merged by jenkins-bot:
[mediawiki/tools/codesniffer@master] Check for use statement with non-compound name

https://gerrit.wikimedia.org/r/420063

Legoktm closed this task as Resolved.Mar 21 2018, 3:38 AM